> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-fix-nav-issues.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Helm을 사용하여 ClickHouse Operator 설치

> 이 가이드에서는 Helm 차트를 사용해 ClickHouse Operator를 설치하는 방법을 안내합니다.

이 가이드에서는 Helm 차트를 사용해 ClickHouse Operator를 설치하는 방법을 안내합니다.

<div id="prerequisites">
  ## 사전 요구 사항
</div>

* Kubernetes 클러스터 v1.28.0 이상
* helm v3.0 이상
* 클러스터와 통신하도록 구성된 kubectl

<div id="install-helm">
  ## Helm 설치
</div>

Helm이 설치되어 있지 않다면:

```bash theme={null}
curl https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3 | bash
```

설치 여부를 확인하세요:

```bash theme={null}
helm version
```

<div id="install-the-operator">
  ## Operator 설치
</div>

<Note>
  기본적으로 Helm 차트는 웹훅이 활성화된 ClickHouse Operator를 배포하며, cert-manager가 설치되어 있어야 합니다.
</Note>

```bash theme={null}
helm install cert-manager oci://quay.io/jetstack/charts/cert-manager -n cert-manager --create-namespace --set crds.enabled=true
```

<div id="from-oci-helm-repository">
  ### OCI Helm 리포지토리에서
</div>

최신 릴리스를 설치하세요

```bash theme={null}
    helm install clickhouse-operator oci://ghcr.io/clickhouse/clickhouse-operator-helm \
       --create-namespace \
       -n clickhouse-operator-system
```

특정 Operator 버전 설치하기

```bash theme={null}
    helm install clickhouse-operator oci://ghcr.io/clickhouse/clickhouse-operator-helm \
       --create-namespace \
       -n clickhouse-operator-system \
       --set-json="manager.container.tag=<operator version>
```

<div id="from-local-chart">
  ### 로컬 차트에서
</div>

리포지토리를 복제한 후 로컬 차트에서 설치합니다:

```bash theme={null}
git clone https://github.com/ClickHouse/clickhouse-operator.git
cd clickhouse-operator
helm install clickhouse-operator ./dist/chart
```

<div id="configuration-options">
  ### 구성 옵션
</div>

고급 구성 옵션은 Helm 차트의 [values.yaml](https://github.com/ClickHouse/clickhouse-operator/blob/main/dist/chart/values.yaml) 파일을 참조하세요.
